Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.

Bug 1316903

Summary: rpm: Null pointer dereference in rstrdup
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: cbuissar, ffesti, security-response-team, slawomir
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20160421,reported=20160310,source=researcher,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:N/A:P,cwe=CWE-476,rhel-5/rpm=notaffected,rhel-6/rpm=wontfix,rhel-7/rpm=wontfix,fedora-all/rpm=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-04-25 10:31:44 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1329122    
Bug Blocks: 1316905    

Description Adam Mariš 2016-03-11 07:38:22 EST
Null pointer dereference in rstrdup triggered by crafted RPM file causing minor crash was reported.
Comment 5 Cedric Buissart 2016-04-21 05:14:56 EDT
Acknowledgments:

Name: Hanno Boeck
Comment 6 Cedric Buissart 2016-04-21 05:15:37 EDT
Created rpm tracking bugs for this issue:

Affects: fedora-all [bug 1329122]
Comment 8 Cedric Buissart 2016-04-25 10:21:11 EDT
Fixed upstream by commit cddf43 :
https://github.com/rpm-software-management/rpm/commit/cddf43a
Comment 9 Cedric Buissart 2016-04-25 10:30:23 EDT
Red Hat Product Security has determined this issue is not planned to be fixed. If a customer is requesting this fix, please attach any customer contact cases to the bug and email secalert@redhat.com to inform us of the customer request. Product Security will re-open issues with significant customer interest provided they are within support scope.
Comment 10 Fedora Update System 2016-04-26 16:52:42 EDT
rpm-4.13.0-0.rc1.13.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2016-05-07 07:53:45 EDT
rpm-4.13.0-0.rc1.27.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2016-05-21 22:20:19 EDT
rpm-4.12.0.1-17.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.